# Copyright (C) 2005 Konstantin Korikov

#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import libxml2

def convert_accounts(xml_node):
  dest_version = "0.2.0"
  for acc in xml_node.xpathEval("account"):
    if acc.prop("auth-type") == "pap/chap/std-script":
      acc.setProp("auth-type", "pap/chap")
      acc.setProp("use-script", "predef-auto")
    elif acc.prop("auth-type") == "script":
      acc.setProp("auth-type", "term")
      acc.setProp("use-script", "custom")
    else:
      acc.setProp("auth-type", "pap/chap") 
      acc.setProp("use-script", "predef-noterm")
  xml_node.setProp("version", dest_version)
